Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface DeviceInterfaceService

public interface DeviceInterfaceService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DeviceInterface>`
  `deviceInterfaceListFree(int deviceId, Date dateFrom, Date dateTo, String title)`
  Получение списка незанятых интерфейсов устройства.
  `DeviceInterface`
  `devicePort(int deviceId, int port)`
  Получение конкретного интерфейса по коду у определенного устройства.
  `void`
  `devicePortCommentUpdate(DeviceInterface port)`
  Отдельный метод для обновления комментария.
  `void`
  `devicePortDelete(int deviceId, int port)`
  `List<DeviceInterface>`
  `devicePortList(int deviceId)`
  Deprecated.
  use `devicePortList(int, boolean)`
  `List<DeviceInterface>`
  `devicePortList(int deviceId, boolean subscriber)`
  Получение списка интерфейсов устройства.
  `boolean`
  `devicePortSubscribe(int subscriberId, String subscriberTitle, int deviceId, int port, Date dateFrom, Date dateTo, boolean isInterfacePersonal)`
  `Result<DevicePortSubscription>`
  `devicePortSubscriptionList(int deviceId, int port, Date dateFrom, Date dateTo, Page page)`
  `void`
  `devicePortUnsubscribe(int subsciberId)`
  `void`
  `devicePortUpdate(DeviceInterface port, boolean deviceTypeUpdate)`
  Добавление/Обновление интерфейса.
  `Integer`
  `nextFreeInterface(int deviceId, Date dateFrom, Date dateTo)`

- ## Method Details

  - ### devicePortList

    @Deprecated @RequestWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.DevicePortListOldRequest") @ResponseWrapper(className="ru.bitel.oss.systems.inventory.resource.common.jaxws.DevicePortListOldResponse") List<DeviceInterface> devicePortList(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    use `devicePortList(int, boolean)`
    Получение списка интерфейсов устройства.
    Parameters:
      `deviceId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortList

    List<DeviceInterface> devicePortList(int deviceId, boolean subscriber) throws ru.bitel.bgbilling.common.BGException
    Получение списка интерфейсов устройства.
    Parameters:
      `deviceId` - id устройства
      `subscriber` - нужно ли загружать информацию о текущем подписчике
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePort

    DeviceInterface devicePort(int deviceId, int port) throws ru.bitel.bgbilling.common.BGException
    Получение конкретного интерфейса по коду у определенного устройства.
    Parameters:
      `deviceId` - код устройства
      `port` - код интерфейса
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortUpdate

    void devicePortUpdate(DeviceInterface port, boolean deviceTypeUpdate) throws ru.bitel.bgbilling.common.BGException
    Добавление/Обновление интерфейса.
    Parameters:
      `port` - интерфейс. Если код интерфейса > 0, то происходит обновление, иначе - добавление.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortCommentUpdate

    void devicePortCommentUpdate(DeviceInterface port) throws ru.bitel.bgbilling.common.BGException
    Отдельный метод для обновления комментария. Используется при редактировании комментария в момент выбора интерфейса в редакторе сервиса договора.
    Parameters:
      `port` - интерфейс, у которого изменяется комментарий
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortDelete

    void devicePortDelete(int deviceId, int port) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortSubscribe

    boolean devicePortSubscribe(int subscriberId, String subscriberTitle, int deviceId, int port, Date dateFrom, Date dateTo, boolean isInterfacePersonal) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortUnsubscribe

    void devicePortUnsubscribe(int subsciberId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### devicePortSubscriptionList

    Result<DevicePortSubscription> devicePortSubscriptionList(int deviceId, int port, Date dateFrom, Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### nextFreeInterface

    Integer nextFreeInterface(int deviceId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceInterfaceListFree

    List<DeviceInterface> deviceInterfaceListFree(int deviceId, Date dateFrom, Date dateTo, String title) throws ru.bitel.bgbilling.common.BGException
    Получение списка незанятых интерфейсов устройства. Незанятость определяется как отсутствие подписчика у интерфейса в период между dateFrom и dateTo. Данный метод также позволяет отфильтровывать список интерфейсов по названию (частичному или полному совпадению)
    Parameters:
      `deviceId` - код устройства, у которого происходит выборка интерфейсов
      `dateFrom` - дата начала периода
      `dateTo` - дата окончания периода
      `title` - название интерфейса. Может частично или полностью совпадать с названием интерфейса. По данному полю происходит фильтрация интерфейсов
    Returns:
      список незанятых интерфейсов, отсортированных по порту.
    Throws:
      `ru.bitel.bgbilling.common.BGException`